using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgGeneralLinkConvertLinkInfoDTO
{

    /*
        二合一长链接
    */
    private string? couponLongUrl;


    /*
        1—单品 2—店铺 3—会场 4-承接开放 5-优惠券 6-直播间 7-淘积木页
    */
    private long? materialType;


    /*
        CPS链接长链
    */
    private string? cpsLongUrl;


    /*
        CPS链接的短口令
    */
    private string? cpsShortTpwd;


    /*
        1-联盟口令，2-主站口令。入参物料不为淘口令时，此字段返回null
    */
    private long? tkBizType;


    /*
        二合一链接的短口令
    */
    private string? couponShortTpwd;


    /*
        CPS链接短链
    */
    private string? cpsShortUrl;


    /*
        二合一链接长链
    */
    private string? couponShortUrl;


    /*
        二合一链接的长口令
    */
    private string? couponFullTpwd;


    /*
        CPS链接的长口令
    */
    private string? cpsFullTpwd;


    /*
        种草页链接，定向开放
    */
    private string? shareUnitUrl;


    /*
        淘积木页面链接，定向开放
    */
    private string? taoBrickUrl;


    /*
        频道页二合一链接 目前支持淘金币
    */
    private string? couponChannelUrl;


    /*
        频道页二合一口令 目前支持淘金币
    */
    private string? couponChannelTpwd;



    [JsonPropertyName("coupon_long_url")]
    public string? CouponLongUrl
    {
        get => couponLongUrl;
        set => this.couponLongUrl = value;
    }

    [JsonPropertyName("material_type")]
    public long? MaterialType
    {
        get => materialType;
        set => this.materialType = value;
    }

    [JsonPropertyName("cps_long_url")]
    public string? CpsLongUrl
    {
        get => cpsLongUrl;
        set => this.cpsLongUrl = value;
    }

    [JsonPropertyName("cps_short_tpwd")]
    public string? CpsShortTpwd
    {
        get => cpsShortTpwd;
        set => this.cpsShortTpwd = value;
    }

    [JsonPropertyName("tk_biz_type")]
    public long? TkBizType
    {
        get => tkBizType;
        set => this.tkBizType = value;
    }

    [JsonPropertyName("coupon_short_tpwd")]
    public string? CouponShortTpwd
    {
        get => couponShortTpwd;
        set => this.couponShortTpwd = value;
    }

    [JsonPropertyName("cps_short_url")]
    public string? CpsShortUrl
    {
        get => cpsShortUrl;
        set => this.cpsShortUrl = value;
    }

    [JsonPropertyName("coupon_short_url")]
    public string? CouponShortUrl
    {
        get => couponShortUrl;
        set => this.couponShortUrl = value;
    }

    [JsonPropertyName("coupon_full_tpwd")]
    public string? CouponFullTpwd
    {
        get => couponFullTpwd;
        set => this.couponFullTpwd = value;
    }

    [JsonPropertyName("cps_full_tpwd")]
    public string? CpsFullTpwd
    {
        get => cpsFullTpwd;
        set => this.cpsFullTpwd = value;
    }

    [JsonPropertyName("share_unit_url")]
    public string? ShareUnitUrl
    {
        get => shareUnitUrl;
        set => this.shareUnitUrl = value;
    }

    [JsonPropertyName("tao_brick_url")]
    public string? TaoBrickUrl
    {
        get => taoBrickUrl;
        set => this.taoBrickUrl = value;
    }

    [JsonPropertyName("coupon_channel_url")]
    public string? CouponChannelUrl
    {
        get => couponChannelUrl;
        set => this.couponChannelUrl = value;
    }

    [JsonPropertyName("coupon_channel_tpwd")]
    public string? CouponChannelTpwd
    {
        get => couponChannelTpwd;
        set => this.couponChannelTpwd = value;
    }

}

